# ClientPlatform

Namespace: **Wisej.Core**

Assembly: **Wisej.Framework** (4.0.0.0)

Represents the client platform used to render the widgets.

{% tabs %}
{% tab title="C#" %}

```csharp
public class ClientPlatform
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class ClientPlatform
```

{% endtab %}
{% endtabs %}

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) JavaScripts

[String\[\]](https://docs.microsoft.com/dotnet/api/system.string): List of javascript files associated with the platform.

### ![](/files/hsR4ok3152WyAf8J2C1u) Name

[String](https://docs.microsoft.com/dotnet/api/system.string): The name of this platform configuration.

### ![](/files/hsR4ok3152WyAf8J2C1u) Provider

[PlatformProvider](/api/wisej.web/general/application/wisej.core.platformprovider.md): The platform provider.

### ![](/files/hsR4ok3152WyAf8J2C1u) StyleSheets

[String\[\]](https://docs.microsoft.com/dotnet/api/system.string): List of style sheets associated with the platform.

### ![](/files/hsR4ok3152WyAf8J2C1u) Version

[Version](https://docs.microsoft.com/dotnet/api/system.version): Returns the file version of the


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/general/application/wisej.core.clientplatform.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
